
TYPO3.Flow - Bug # 40658

Status: Resolved Priority: Should have
Updated: 2012-09-06 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.1.0
Subject: InternalRequestEngine discards exception status codes
Description

The InternalRequestEngine set the status code in case of an exception to 500 in any case. With this change it will instead use the
code defined in an exception, if available.

Associated revisions
Revision 4b479b2e - 2012-09-05 18:53 - Karsten Dambekalns

[BUGFIX] InternalRequestEngine observes exception status code

The InternalRequestEngine set the status code in case of an exception
to 500 in any case. With this change it will instead use the code
defined in an exception, if available.

Change-Id: If257734a7f71fa50a76fabe9e5f0e22373cbcced
Fixes: #40658
Releases: 1.1, 1.2

Revision 46fd4229 - 2012-09-06 10:45 - Karsten Dambekalns

[BUGFIX] InternalRequestEngine observes exception status code

The InternalRequestEngine set the status code in case of an exception
to 500 in any case. With this change it will instead use the code
defined in an exception, if available.

Change-Id: If257734a7f71fa50a76fabe9e5f0e22373cbcced
Fixes: #40658
Releases: 1.1, 1.2

History
#1 - 2012-09-05 18:53 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14386
#2 - 2012-09-06 10:45 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/14403

#3 - 2012-09-06 11:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:46fd42294f64849be6a4ce3881dc53cac06aa063.
